##### 7.7.15.0. rightStd

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  rightStd(I); I an ideal/ module

Purpose:
  compute a right Groebner basis of I

Return:
  the same type as input

Example:

    LIB "nctools.lib";
    LIB "ncalg.lib";
    def A = makeUsl(2);
    setring A;
    ideal I = e2,f;
    option(redSB);
    option(redTail);
    ideal LI = std(I);
    LI;
    ==> LI[1]=f
    ==> LI[2]=h2+h
    ==> LI[3]=eh+e
    ==> LI[4]=e2
    ideal RI = rightStd(I);
    RI;
    ==> RI[1]=f
    ==> RI[2]=h2-h
    ==> RI[3]=eh+e
    ==> RI[4]=e2

User manual for Singular version 4-0-3, 2016, generated by texi2html.